SecurityTracker.com
Keep Track of the Latest Vulnerabilities
with SecurityTracker!
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


Try our Premium Alert Service
 
Sign Up
Sign Up for Your FREE Weekly SecurityTracker E-mail Alert Summary
Instant Alerts
Buy our Premium Vulnerability Notification Service to receive customized, instant alerts
Affiliates
Put SecurityTracker Vulnerability Alerts on Your Web Site -- It's Free!
Partners
Become a Partner and License Our Database or Notification Service





Category:   Application (Generic)  >   Oracle PeopleSoft Products Vendors:   Oracle
Oracle PeopleSoft Products Multiple Flaws Let Remote Users Access and Modify Data and Deny Service, Remote Authenticated Users Gain Elevated Privileges, and Local Users Access Data on the Target System
SecurityTracker Alert ID:  1040701
SecurityTracker URL:  http://securitytracker.com/id/1040701
CVE Reference:   CVE-2018-2752, CVE-2018-2772, CVE-2018-2774, CVE-2018-2785, CVE-2018-2788, CVE-2018-2793, CVE-2018-2809, CVE-2018-2820, CVE-2018-2821, CVE-2018-2838, CVE-2018-2878   (Links to External Site)
Date:  Apr 18 2018
Impact:   Denial of service via network, Disclosure of system information, Disclosure of user information, Modification of system information, Modification of user information, User access via network
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): 8.54, 8.55, 8.56, 9.1, 9.2
Description:   Multiple vulnerabilities were reported in Oracle PeopleSoft Products. A remote user can access and modify data on the target system. A remote user can cause denial of service conditions on the target system. A remote authenticated user can gain elevated privileges. A local user can access data on the target system.

A remote authenticated user can exploit a flaw in the PeopleSoft Enterprise PeopleTools Rich Text Editor component to gain elevated privileges [CVE-2018-2772].

A remote user can exploit a flaw in the PeopleSoft Enterprise PT PeopleTools SQR component to partially access data, partially modify data, and partially deny service [CVE-2018-2774].

A local user can exploit a flaw in the PeopleSoft Enterprise PT PeopleTools PsAdmin component to access data [CVE-2018-2793].

A remote user can exploit a flaw in the PeopleSoft Enterprise HCM Shared Components Notepad component to partially access and partially modify data [CVE-2018-2878].

A remote user can exploit a flaw in the PeopleSoft Enterprise PeopleTools Fluid Core component to partially access and partially modify data [CVE-2018-2788].

A remote user can exploit a flaw in the PeopleSoft Enterprise PeopleTools Rich Text Editor component to partially access and partially modify data [CVE-2018-2821].

A remote user can exploit a flaw in the PeopleSoft Enterprise PRTL Interaction Hub EPPCM_HIER_TOP component to partially access and partially modify data [CVE-2018-2838].

A remote authenticated user can exploit a flaw in the PeopleSoft Enterprise HCM Security component to partially access and partially modify data [CVE-2018-2752].

A remote user can exploit a flaw in the PeopleSoft Enterprise PeopleTools Stylesheet component to partially modify data [CVE-2018-2785].

A remote authenticated user can exploit a flaw in the PeopleSoft Enterprise PeopleTools Fluid Core component to partially access data [CVE-2018-2820].

A remote user can exploit a flaw in the PeopleSoft Enterprise PeopleTools Fluid Homepage & Navigation component to partially modify data [CVE-2018-2809].

Jayson Grace of Sandia National Laboratories and Nikita Egorov of ERPScan reported some of these vulnerabilities.

Impact:   A remote user can obtain data on the target system.

A remote user can modify data on the target system.

A remote user can cause denial of service conditions.

A local user can obtain data on the target system.

A remote authenticated user can gain elevated privileges on the target system.

Solution:   The vendor has issued a fix as part of the April 2018 Critical Patch Update.

The vendor advisory is available at:

http://www.oracle.com/technetwork/security-advisory/cpuapr2018-3678067.html

Vendor URL:  www.oracle.com/technetwork/security-advisory/cpuapr2018-3678067.html (Links to External Site)
Cause:   Not specified
Underlying OS:  Linux (Any), UNIX (AIX), UNIX (HP/UX), UNIX (Solaris - SunOS), UNIX (Tru64), Windows (Any)

Message History:   None.


 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

Copyright 2018, SecurityGlobal.net LLC